Page MenuHomePhabricator

Refactoring the Interwiki Map: status and outlook
Closed, DeclinedPublic

Description

Type of activity: Unconference session
Main topic: https://www.mediawiki.org/wiki/Talk:Wikimedia_Developer_Summit/2017/How_to_manage_our_technical_debt

The problem

We have (at least) two systems for managing information about other wikis: Interwiki, and Sites. Both could use some love. T113034: RFC: Overhaul Interwiki map, unify with Sites and WikiMap proposes a roadmap for overhauling the system. This session is to provide an overview of the current status, and an outlook on future development.

Expected outcome

Confirmation that the proposed solution is still desired, and commitment to help with implementing said solution.

Event Timeline

daniel created this task.Oct 30 2016, 8:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 30 2016, 8:00 PM
daniel updated the task description. (Show Details)Oct 31 2016, 10:33 AM
daniel added a subscriber: greg.
TTO added a subscriber: TTO.Nov 1 2016, 11:52 PM

Is the mediawiki link correct? It links to "How to manage our technical debt"

daniel added a comment.EditedNov 5 2016, 8:13 AM

@Smalyshev yes, that's the "main topic" or "umbrella" this session fits under. Overhauling the interwiki system is a mid-scale redesign, with a complex migration path. It's an example of how to manage tech dept. The session is not intended to discuss tech dept in general though, it's going to be about Interwiki/Sites/WikiMap specifically.

demon removed a subscriber: demon.Nov 5 2016, 5:39 PM

Uploaded https://gerrit.wikimedia.org/r/#/c/321674/ to continue the refactoring started in https://gerrit.wikimedia.org/r/#/c/250150/
It's not directly related to the problem described here but it tries to reduce the tech debt by making the current InterwikiLookup code a bit more readable and isolate wmf specifics.

I'm very interested in this topic. Mostly because I had huge pain to implement crosslanguage/crossproject features in CirrusSearch. I ended up using SiteMatrix+InterwikiLookup to support WMF context. Unfortunaly I fear that the code I wrote spread the tech debt (https://gerrit.wikimedia.org/r/#/c/320757/).
My use case would be a convenient service with the methods described in this interface.

greg triaged this task as Medium priority.Nov 30 2016, 10:59 PM

@daniel Hey! As developer summit is less than four weeks from now, we are working on a plan to incorporate the ‘unconference sessions’ that have been proposed so far and would be generated on the spot. Thus, could you confirm if you plan to facilitate this session at the summit? Also, if your answer is 'YES,' I would like to encourage you to update/ arrange the task description fields to appear in the following format:

Session title
Main topic
Type of activity
Description Move ‘The Problem,' ‘Expected Outcome,' ‘Current status of the discussion’ and ‘Links’ to this section
Proposed by Your name linked to your MediaWiki URL, or profile elsewhere on the internet
Preferred group size
Any supplies that you would need to run the session e.g. post-its
Interested attendees (sign up below)

  1. Add your name here

We will be reaching out to the summit participants next week asking them to express their interest in unconference sessions by signing up.

To maintain the consistency, please consider referring to the template of the following task description: https://phabricator.wikimedia.org/T149564.

Shouldn't this gets closed since six months have passed from the DevSummit?

greg closed this task as Declined.Jul 26 2017, 7:13 PM

I don't think this made it on the agenda, so declining.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJul 26 2017, 7:13 PM